Name:           clipit
Version:        1.4.6
Release:        %mkrel 0.git20210313.6
Summary:        A lightweight, fully featured GTK+ clipboard manager
Group:          Graphical desktop/GNOME
License:        GPLv3+
URL:            https://github.com/CristianHenzel/ClipIt
#Source0:        https://github.com/CristianHenzel/ClipIt/archive/v%{version}.tar.gz
Source0:        https://github.com/CristianHenzel/ClipIt/archive/master.zip
Source1:        %{name}.appdata.xml
# clipit doesn't autostart in MATE
# Fixed upstream but not yet merged
Patch0:         0001-Autostart-in-MATE.patch
# Force GDK_BACKEND to x11
Patch1:         clipit-1.4.5-force-gdk_backend-x11.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  appstream-util
Requires:       xdotool
Provides:       parcellite
Obsoletes:      parcellite < 1.2.2

%description
ClipIt is a lightweight, fully featured GTK+ clipboard manager. It was forked
from Parcellite, adding additional features and bug-fixes to the project.
ClipIts main features are:
* Save a history of your last copied items
* Search through the history
* Global hot-keys for most used functions
* Execute actions with clipboard items
* Exclude specific items from history


%prep
%setup -q -n ClipIt-master

%patch0 -p1 -b .mate
%patch1 -p1 -b .nowayland

sed -i data/clipit.desktop.in -e '\@_Comment.*hr@d'
sed -i data/clipit-startup.desktop.in -e '\@_Comment.*hr@d'

./autogen.sh

%build
%global optflags %(echo "%{optflags} -Wno-incompatible-pointer-types -Wno-implicit-function-declaration")

%configure \
	--with-gtk3 \
	%{nil}
%make_build

%install
%make_install
%find_lang %{name}

desktop-file-install --delete-original \
    --remove-category=Application \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install --delete-original \
    --dir %{buildroot}%{_sysconfdir}/xdg/autostart \
    %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}-startup.desktop

mkdir -p %{buildroot}%{_metainfodir}
install -c -p -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}/%{name}.appdata.xml

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.appdata.xml

%files -f %{name}.lang
%license COPYING
%doc AUTHORS
%doc ChangeLog
%doc README.md

%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/icons/hicolor/scalable/apps/%{name}-trayicon*.svg
%{_metainfodir}/%{name}.appdata.xml

%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}-startup.desktop


%changelog
* Tue Apr 02 2024 ns80 <ns80> 1.4.6-0.git20210313.6.mga10
+ Revision: 2053892
- fix build with GCC14

* Thu Feb 09 2023 ns80 <ns80> 1.4.6-0.git20210313.5.mga9
+ Revision: 1939673
- rebuild for aging

* Mon Apr 04 2022 ns80 <ns80> 1.4.6-0.git20210313.4.mga9
+ Revision: 1843610
- replace parcellite

* Thu Mar 31 2022 umeabot <umeabot> 1.4.6-0.git20210313.3.mga9
+ Revision: 1836431
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 ns80 <ns80> 1.4.6-0.git20210313.2.mga9
+ Revision: 1789810
- fix BR

* Tue Mar 08 2022 ns80 <ns80> 1.4.6-0.git20210313.1.mga9
+ Revision: 1789809
- update to latest git snapshot

* Mon Aug 02 2021 ns80 <ns80> 1.4.5-1.mga9
+ Revision: 1738601
- imported package clipit

